Name:           sigrok-cli
Version:        0.6.0
Release:        0%{?dist}
Summary:        Basic hardware access drivers for logic analyzers
License:        GPLv3+
URL:            http://www.sigrok.org
Source0:        %{url}/download/source/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  glib2-devel
# libsigrok+decode 0.4.0 have a significantly different API
BuildRequires:  libsigrok-devel       >= 0.4.0
BuildRequires:  libsigrokdecode-devel >= 0.4.0

%description
%{name} is a command-line tool written in C, which uses both libsigrok and
libsigrokdecode to provide the basic sigrok functionality from the
command-line. Among other things, it's useful for scripting purposes.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%doc NEWS README COPYING
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}

%changelog
* Thu Feb 11 2016 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.6.0-0
- Update to sigrok-cli 0.6.0

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Sep 20 2014 Dan Horák <dan[at]danny.cz> - 0.5.0-1
- Update to sigrok-cli 0.5.0

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Alexandru Gagniuc mr.nuke.me[at]gmail[dot]com - 0.4.0-1
- Update to sigrok-cli 0.4.0

* Mon May 06 2013 Alexandru Gagniuc mr.nuke.me[at]gmail[dot]com - 0.3.1-3
- Drop unused post and postun sections
- Add NEWS README COPYING to doc. (ChangeLog is just a git log, exclude it)
- Don't abuse wildcards (man*/* -> man1/%%{name}.1*)

* Sun May 05 2013 Alexandru Gagniuc mr.nuke.me[at]gmail[dot]com - 0.3.1-2
- Limit libsigrok+decode max version due to incompatible APIs

* Wed Oct 10 2012 Alexandru Gagniuc mr.nuke.me[at]gmail[dot]com - 0.3.1-1
- Initial RPM release
